.TH wxTextEntryDialog 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxTextEntryDialog \- See external documentation: wxTextEntryDialog\&.
.SH DESCRIPTION
.LP
See external documentation: wxTextEntryDialog <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextentrydialog\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxDialog 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxTextEntryDialog()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Message::string()) -> wxTextEntryDialog()
.br
.RS
.LP
Equivalent to new(Parent, Message, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Message::string(), Options::[Option]) -> wxTextEntryDialog()
.br
.RS
.TP
Types
Option = {caption, string()} | {value, string()} | {style, integer()} | {pos, {X::integer(), Y::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextentrydialog\&.html#wxtextentrydialogwxtextentrydialog>\&.
.RE
.LP
.B
getValue(This::wxTextEntryDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextentrydialog\&.html#wxtextentrydialoggetvalue>\&.
.RE
.LP
.B
setValue(This::wxTextEntryDialog(), Val::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextentrydialog\&.html#wxtextentrydialogsetvalue>\&.
.RE
.LP
.B
destroy(This::wxTextEntryDialog()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
